Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In with Google Sign In with OpenID

403 Forbidden Error

edited May 2012 in Install Help

I have uploaded the files...set the permission as told to. I have also added the two files, .htaccess and subfolder.php to the root of the site. I am on Godaddy hosting and have this app in a subfolder that I access via a subdomain. It tells me I don't have access to the /install/ folder. If I try and just put in the domain address subdomain.mydomain.com it gives me the same error.

Any ideas?

Comments

  • If you're running it on a subdomain, then you don't need the subfolder proxy script. Can you post what it says when you remove the subfolder.php and revert to the original .htaccess file?

  • edited May 2012

    I removed the subfolder.php file and now I do get the installation page. Talking to Godaddy now because the app is telling me I need php 5.3+ but I set that up 2 days ago on Godaddy hosting account. After sticking in an info.php file, it's definitely stating php 5.2.17 even after switching to 5.3. Hopefully Godaddy can figure it out. Thanks for the info J.

  • Alright...so what had to be done is to go into Godaddy Hosting Control Panel. Then Settings...then File Extensions Management. You will see a .php5 and a .php extension. You have to edit those to Php 5.3.x FastCGI and unfortunately there is no Php 5.3.x without FastCGI option currently provided from Godaddy to select.

    That is why I have successfully installed the app but cannot access the admin panel. And if I bring up just the home page and click the Home button at the top right hand corner of the default home page, it gives me an internal server error. Also...the big picture that supposed to be in the center isn't able to display either.

    I told Godaddy about the FastCGI issue has been know to mess up scripts and cause server errors before...he said he is passing the inquiry up to whomever. I sure hope this gets resolved on their end. I am anxious to get to working in elefantcms.

  • Okay...so the final resolution is that I am pointing the subdomains to the ip addresses of my server so that I can install it there without a problem. Godaddy stated they have no timeframe if any as to when they will implement the option to select 5.3.x without FastCGI.

  • Hmm, Elefant should run on FastCGI too (that's how I run some of my sites). It sounds like Godaddy have some extra requirements in the .htaccess file. Some people are saying that adding RewriteBase / after RewriteEngine On got it working. Others are saying you have to add Options -MultiViews and Options +FollowSymlinks to the top of the file. If you have a chance, can you see if either of those gets it working?

    Thanks for the help debugging Godaddy. Without an account there it's hard to tell what will work and what won't, but it would be nice to be able to support them as well.

  • Not sure...but I just setup my server to use the script and it installed extremely fast and without any issues. It is working as should now. I am getting the pictures...the admin tool bar...the works. Now it's time to have some fun! Thanks for hanging in with me J.

  • Glad to hear!

Sign In or Register to comment.